Bug 1490305 - Could not able to delete default admin user
Summary: Could not able to delete default admin user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-11 09:54 UTC by Nikhil Kathole
Modified: 2019-09-26 15:38 UTC (History)
5 users (show)

Fixed In Version: foreman-1.15.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
screenshot of error (26.82 KB, image/png)
2017-09-11 09:54 UTC, Nikhil Kathole
no flags Details
log in production.log file (18.96 KB, text/plain)
2017-09-11 09:55 UTC, Nikhil Kathole
no flags Details
screenshot of UI (32.61 KB, image/png)
2017-09-24 10:49 UTC, Nikhil Kathole
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20316 0 Normal Closed unable to delete user. leads to foreign key violation 2021-01-13 20:41:33 UTC

Description Nikhil Kathole 2017-09-11 09:54:45 UTC
Created attachment 1324396 [details]
screenshot of error

Description of problem: We were trying to delete default admin user with another user having all permissions and was administrator. But while deleting default user, it shows error as " ERROR: update or delete on table "users" violates foreign key constraint "fk_rails_51975e21a8" on table "notification_recipients" DETAIL: Key (id)=(3) is still referenced from table "notification_recipients"."
 
Version-Release number of selected component (if applicable): Satellite 6.3 snap 15


How reproducible: always


Steps to Reproduce:
1. Login to satellite with default admin user
2. Create another user having all permissions and make administrator
3. Logout from admin
4. Login using another user created
5. Delete default admin user.

Actual results:
Not able to delete default admin user. It shows error as " ERROR: update or delete on table "users" violates foreign key constraint "fk_rails_51975e21a8" on table "notification_recipients" DETAIL: Key (id)=(3) is still referenced from table "notification_recipients"."


Expected results:


Additional info: Any User with administrator role can delete another user with administrator role but in case of deleting default admin it throws error.

Comment 1 Nikhil Kathole 2017-09-11 09:55:31 UTC
Created attachment 1324397 [details]
log in production.log file

Comment 2 Daniel Lobato Garcia 2017-09-12 13:23:27 UTC
Created redmine issue http://projects.theforeman.org/issues/20899 from this bug

Comment 8 Nikhil Kathole 2017-09-24 10:48:04 UTC
VERIFIED

Version Tested:
Satellite-6.3 Snap 17

steps:
1. Created another user having all permissions and make administrator
2. Login as another user
3. Deleted default admin user

Successfully deleted default admin user.

Comment 9 Nikhil Kathole 2017-09-24 10:49:57 UTC
Created attachment 1330145 [details]
screenshot of UI

Comment 10 Bryan Kearney 2018-02-21 17:34:15 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 11 Bryan Kearney 2018-02-21 17:34:16 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.